Get value list items
- Base URL
-
https://{kibana_url}
- GET /api/lists/items/_find
- GET /s/{space_id}/api/lists/items/_find
Refer to Spaces for more information.
Get all value list items in the specified list.
Query parameters
Responses
Successful response
-
cursorstring · format: nonempty · min length: 1required -
Returns the items that come after the last item returned in the previous call (use the
cursorvalue returned in the previous call). This parameter uses thetie_breaker_idfield to ensure all items are sorted and returned correctly. -
dataobjectrequired -
_versionstring -
The version id, normally returned by the API when the document is retrieved. Use it ensure updates are done against the latest version.
-
tie_breaker_idstringrequired -
Field used in search to ensure all containers are sorted and returned correctly.
-
typerequired -
Specifies the Elasticsearch data type of excludes the list container holds. Some common examples:
keyword: Many ECS fields are Elasticsearch keywordsip: IP addressesip_range: Range of IP addresses (supports IPv4, IPv6, and CIDR notation)
-
Values:
binarybooleanbytedatedate_nanosdate_rangedoubledouble_rangefloatfloat_rangegeo_pointgeo_shapehalf_floatintegerinteger_rangeipip_rangekeywordlonglong_rangeshapeshorttext
Invalid input data response
One of:
Unsuccessful authentication response
Not enough privileges response